Skip to main content
GET
Get the status of a margin transfer by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

transferId
integer
required

Transfer identifier returned from the prepare step

Required range: x <= 9007199254740991

Response

asset
string
required

Transfer asset, e.g. USDC

createdAt
string<date-time>
required

Transfer creation timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
dest
enum<string> | null
required

Destination network or exchange

Available options:
hyperliquid,
lighter,
arbitrum
destAmount
string | null
required

Amount received at destination after all fees, null until the bridge confirms

destinationHash
string | null
required

Destination transaction hash once available

executionTime
integer | null
required

Seconds elapsed from source to destination, null until paid

Required range: -9007199254740991 <= x <= 9007199254740991
fee
string | null
required

Total transfer fee in USDC (exchange fees + routing fee)

id
integer
required

Transfer ID

Required range: -9007199254740991 <= x <= 9007199254740991
source
enum<string>
required

Source network or exchange

Available options:
hyperliquid,
lighter,
arbitrum
sourceAmount
string
required

Total amount sent from source including exchange fees

sourceHash
string | null
required

Source transaction hash

status
enum<string>
required

Transfer status

Available options:
created,
pending,
sent,
paid,
confirmed,
failed,
refunded